Debian Bug report logs - #554401
fglrx doesn't build with linux 2.6.32-rcX

version graph

Package: fglrx-driver; Maintainer for fglrx-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-driver is src:fglrx-driver.

Reported by: Stefan Bühler <lighttpd@stbuehler.de>

Date: Wed, 4 Nov 2009 15:36:04 UTC

Severity: normal

Found in version fglrx-driver/1:9-10-1

Fixed in version fglrx-driver/1:9-10-2

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#554401; Package fglrx-driver. (Wed, 04 Nov 2009 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Bühler <lighttpd@stbuehler.de>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 04 Nov 2009 15:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Bühler <lighttpd@stbuehler.de>
To: submit@bugs.debian.org
Subject: fglrx doesn't build with linux 2.6.32-rcX
Date: Wed, 4 Nov 2009 12:31:52 +0100
[Message part 1 (text/plain, inline)]
Package: fglrx-driver
Version: 1:9-10-1

Hi,

fglrx doesn't build with linux 2.6.32-rcX.

#include <linux/signal.h>

in common/lib/modules/fglrx/build_mod/kcl_io.c fixes this - this shouldn't 
hurt any older version.

I also recommend fixing some warnings, see attached patch.
[fglrx.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#554401; Package fglrx-driver. (Wed, 04 Nov 2009 17:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 04 Nov 2009 17:51:17 GMT) Full text and rfc822 format available.

Message #10 received at 554401@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Stefan Bühler <lighttpd@stbuehler.de>, 554401@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#554401: fglrx doesn't build with linux 2.6.32-rcX
Date: Wed, 04 Nov 2009 17:57:38 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Stefan Bühler schrieb:
> Package: fglrx-driver
> Version: 1:9-10-1
> 
> Hi,
> 
> fglrx doesn't build with linux 2.6.32-rcX.
> 
> #include <linux/signal.h>
> 
> in common/lib/modules/fglrx/build_mod/kcl_io.c fixes this - this shouldn't 
> hurt any older version.
> 
> I also recommend fixing some warnings, see attached patch.

Hi,

thanks for your patch, I comitted the signal one, for safety reasons I
didn't commit the warning fixes.

- --
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrxsoIACgkQ2XA5inpabMeokwCdEMaaDs5ruyJ+cTXUZ07TvpJo
FQkAn1gQ1XVZlxVMELyKU9FaaghnO1wv
=yUl1
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#554401; Package fglrx-driver. (Wed, 04 Nov 2009 18:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 04 Nov 2009 18:30:07 GMT) Full text and rfc822 format available.

Message #15 received at 554401@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 554401-submitter@bugs.debian.org, 554401@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#554401: Bug#554401: fglrx doesn't build with linux 2.6.32-rcX
Date: Wed, 4 Nov 2009 13:11:08 -0500
On Wed, 04 Nov 2009 17:57:38 +0100, Patrick Matthäi wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Stefan Bühler schrieb:
> > Package: fglrx-driver
> > Version: 1:9-10-1
> > 
> > Hi,
> > 
> > fglrx doesn't build with linux 2.6.32-rcX.
> > 
> > #include <linux/signal.h>
> > 
> > in common/lib/modules/fglrx/build_mod/kcl_io.c fixes this - this shouldn't 
> > hurt any older version.
> > 
> > I also recommend fixing some warnings, see attached patch.
> 
> Hi,
> 
> thanks for your patch, I comitted the signal one, for safety reasons I
> didn't commit the warning fixes.

i looked at the patch for the warnings, and the fixes look safe to me.
the first casts the output of virt_to_phys to the type expected by
DMA_PROC_PRINT.  the second moves the initialization of bus_addr into
the scope of only the #IFDEF for which it is used.

however, we usually don't patch upstream code just to fix warnings, so
if you are interested in getting this fixed, a bug should be submitted
to amd.

thanks for your patch!

mike




Message sent on to Stefan Bühler <lighttpd@stbuehler.de>:
Bug#554401. (Wed, 04 Nov 2009 18:30:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 19:33:53 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Mon, 16 Nov 2009 21:42:46 GMT) Full text and rfc822 format available.

Notification sent to Stefan Bühler <lighttpd@stbuehler.de>:
Bug acknowledged by developer. (Mon, 16 Nov 2009 21:42:46 GMT) Full text and rfc822 format available.

Message #25 received at 554401-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 554401-close@bugs.debian.org
Subject: Bug#554401: fixed in fglrx-driver 1:9-10-2
Date: Mon, 16 Nov 2009 21:41:33 +0000
Source: fglrx-driver
Source-Version: 1:9-10-2

We believe that the bug you reported is fixed in the latest version of
fglrx-driver, which is due to be installed in the Debian FTP archive:

fglrx-atieventsd_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-atieventsd_9-10-2_i386.deb
fglrx-control_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-control_9-10-2_i386.deb
fglrx-driver_9-10-2.diff.gz
  to non-free/f/fglrx-driver/fglrx-driver_9-10-2.diff.gz
fglrx-driver_9-10-2.dsc
  to non-free/f/fglrx-driver/fglrx-driver_9-10-2.dsc
fglrx-driver_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-driver_9-10-2_i386.deb
fglrx-glx_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-glx_9-10-2_i386.deb
fglrx-modules-dkms_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-modules-dkms_9-10-2_i386.deb
fglrx-source_9-10-2_i386.deb
  to non-free/f/fglrx-driver/fglrx-source_9-10-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated fglrx-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Nov 2009 17:53:54 +0100
Source: fglrx-driver
Binary: fglrx-driver fglrx-glx fglrx-glx-ia32 fglrx-source fglrx-modules-dkms fglrx-control fglrx-atieventsd
Architecture: source i386
Version: 1:9-10-2
Distribution: unstable
Urgency: low
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 fglrx-atieventsd - external events daemon for the non-free AMD/ATI r6xx - r7xx displ
 fglrx-control - control panel for the non-free AMD/ATI r5xx, r6xx, r7xx display d
 fglrx-driver - non-free AMD/ATI r6xx - r7xx display driver
 fglrx-glx  - proprietary libGL for the non-free AMD/ATI r6xx - r7xx display dr
 fglrx-glx-ia32 - proprietary libGL for the non-free AMD/ATI display driver (ia32 l
 fglrx-modules-dkms - dkms module source for the non-free AMD/ATI r6xx - r7xx display d
 fglrx-source - kernel module source for the non-free AMD/ATI r6xx - r7xx display
Closes: 554401
Changes: 
 fglrx-driver (1:9-10-2) unstable; urgency=low
 .
   * Implemented dkms support with our new fglrx-modules-dkms package.
   * Remove old fglrx-amdcccle and fglrx-kernel-src dummy packages.
   * Fix VERSION and UPSTREAM_VERSION in debian/rules.
   * Replace my old email address in the dpatch headers.
   * Add 05-fix_missing_signal_include.dpatch, which lets fglrx compile against
     Linux 2.6.32-rc5. Thanks to Stefan Bühler for his patch.
     Closes: #554401
Checksums-Sha1: 
 176e11498bd170667000175dc08f4afdca5495e8 1639 fglrx-driver_9-10-2.dsc
 262ecd56e9748709a5006ae5f924709793e1dfc9 179400 fglrx-driver_9-10-2.diff.gz
 183bfb67e058ffdaecb785ec91ca066f802a15d5 14287736 fglrx-driver_9-10-2_i386.deb
 226459837cc91b81e4fa77bf6e6eca3f4b8cf059 7164058 fglrx-control_9-10-2_i386.deb
 3cc985a13652e65c08060a8225b4811da699666b 180224 fglrx-glx_9-10-2_i386.deb
 ac240f4f741d4ee0f84229b46635ebf7e0f14fab 1444602 fglrx-source_9-10-2_i386.deb
 1f8455ddbb4c6511b16f76432743a004d7c93a38 133790 fglrx-atieventsd_9-10-2_i386.deb
 c77c1234599c0985e9043cab06a89ff5f56d4255 1474246 fglrx-modules-dkms_9-10-2_i386.deb
Checksums-Sha256: 
 9b5af7e35ecc83247c00d5e3b0daffbe120de8fccbcca830a9a2bd9437c3b37e 1639 fglrx-driver_9-10-2.dsc
 2370be587d6fb9d71d346210125e149b92b694a592b6e23a2651ba31d37a0049 179400 fglrx-driver_9-10-2.diff.gz
 525a327ad0111ad3fc3995de1307a453a5ae3b85513c7ffc816fab03002f7e2f 14287736 fglrx-driver_9-10-2_i386.deb
 c3214c56413d6803164b6ce4ba8e366b64da71e859d8102a45586d281285b9b4 7164058 fglrx-control_9-10-2_i386.deb
 239d362bf3152509199d4f3879c7baeec35f57efe5757c8a59afba7274d4acdd 180224 fglrx-glx_9-10-2_i386.deb
 50f50922d03d0590e9e3149e03508e14d40a3a3cae0665193dac2b74d3f6ef0a 1444602 fglrx-source_9-10-2_i386.deb
 a56a97245bccd9259353029419a26523370bbce3f095bea7fc5f08410b2fea58 133790 fglrx-atieventsd_9-10-2_i386.deb
 07b7abe255e968238428f4e5ef123d33ddc7bf1aba28aea6d1734f3a5ccf352e 1474246 fglrx-modules-dkms_9-10-2_i386.deb
Files: 
 f4101d654bec07c13dba32ddde729968 1639 non-free/x11 extra fglrx-driver_9-10-2.dsc
 1d4f7bd1a3687a7e87c3793094ac5e4b 179400 non-free/x11 extra fglrx-driver_9-10-2.diff.gz
 26f34a2b3cbebc0f944d6bb0913759e8 14287736 non-free/x11 extra fglrx-driver_9-10-2_i386.deb
 70d11d046228d60710fe3058256148ca 7164058 non-free/x11 extra fglrx-control_9-10-2_i386.deb
 bb1b696476185cf2db3920df958c57ae 180224 non-free/x11 extra fglrx-glx_9-10-2_i386.deb
 a2310ec20b2064d5937aeef13e2b2b61 1444602 non-free/kernel extra fglrx-source_9-10-2_i386.deb
 f9fc69ba7bf404cb06ac2ff5a46bc7bb 133790 non-free/x11 extra fglrx-atieventsd_9-10-2_i386.deb
 dc33a9f7399684a7d5355c2f852d5193 1474246 non-free/kernel extra fglrx-modules-dkms_9-10-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrxuCQACgkQ2XA5inpabMfQswCfeTabucJ+/oYYKzYCB+wj4RVm
TFQAn353PhXP+hcRGnTJyss6ybTpmv3d
=Bf43
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Dec 2009 07:28:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:28:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.